JavaScript
import PromptFoundry from '@prompt-foundry/typescript-sdk';
const client = new PromptFoundry({
apiKey: process.env['PROMPT_FOUNDRY_API_KEY'], // This is the default and can be omitted
});
async function main() {
const response = await client.prompts.getParameters('1212121');
console.log(response);
}
main();import os
from prompt_foundry_python_sdk import PromptFoundry
client = PromptFoundry(
# This is the default and can be omitted
api_key=os.environ.get("PROMPT_FOUNDRY_API_KEY"),
)
response = client.prompts.get_parameters(
id="1212121",
)
print(response)curl --request POST \
--url https://api.promptfoundry.ai/sdk/v1/prompts/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"variables": {},
"overrideMessages": [
{
"content": [
{
"type": "TEXT",
"text": "<string>"
}
]
}
],
"appendMessages": [
{
"content": [
{
"type": "TEXT",
"text": "<string>"
}
]
}
],
"user": "<string>"
}
'
{
"provider": "anthropic",
"name": "<string>",
"parameters": {
"max_tokens": 123,
"messages": [
{
"content": "<string>"
}
],
"model": "<string>",
"stream": false,
"metadata": {
"user_id": "<string>"
},
"stop_sequences": [
"<string>"
],
"system": "<string>",
"temperature": 123,
"tool_choice": {
"type": "auto"
},
"tools": [
{
"input_schema": {
"type": "object",
"properties": null
},
"name": "<string>",
"description": "<string>"
}
],
"top_k": 123,
"top_p": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API Reference
Get Model Parameters
Fetches the configured model parameters and messages rendered with the provided variables mapped to the set LLM provider. This endpoint abstracts the need to handle mapping between different providers, while still allowing direct calls to the providers.
POST
/
sdk
/
v1
/
prompts
/
{id}
JavaScript
import PromptFoundry from '@prompt-foundry/typescript-sdk';
const client = new PromptFoundry({
apiKey: process.env['PROMPT_FOUNDRY_API_KEY'], // This is the default and can be omitted
});
async function main() {
const response = await client.prompts.getParameters('1212121');
console.log(response);
}
main();import os
from prompt_foundry_python_sdk import PromptFoundry
client = PromptFoundry(
# This is the default and can be omitted
api_key=os.environ.get("PROMPT_FOUNDRY_API_KEY"),
)
response = client.prompts.get_parameters(
id="1212121",
)
print(response)Authorizations
Path Parameters
Example:
"1212121"
Body
application/json
The template variables added to the prompt when executing the prompt.
Show child attributes
Show child attributes
Replaces the configured prompt messages when running the prompt.
Show child attributes
Show child attributes
Appended the the end of the configured prompt messages before running the prompt.
Show child attributes
Show child attributes
A unique identifier representing your end-user, which can help monitor and detect abuse.
Was this page helpful?
⌘I